﻿.cart-menu-relative {
  display: flex;
  align-items: center;
  position: relative;
}

.cart-menu-relative > a {
  font-size: 12px;
  color: #fff;
  line-height: 32px;
}

.cart-menu-relative > a > i {
  font-size: 18px;
  vertical-align: middle;
}

.shopping-cart-holder {
  top: 100%;
  display: none;
  padding: 20px;
  width: 380px;
  margin: 20px 0;
  position: absolute;
  z-index: 7000;
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 20px;
  left: 0;
  background: rgb(240, 240, 240);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  will-change: opacity;
  color: #fff;
}

.shopping-cart {
  position: relative;
}

.shopping-cart .shopping-cart-header {
  border-bottom: 1px solid #e8e8e8;
  padding-bottom: 15px;
  display: block;
}

.shopping-cart .shopping-cart-header:after {
  content: "";
  display: block;
  clear: both;
}

.shopping-cart .shopping-cart-header .shopping-cart-total {
  float: left;
}

.shopping-cart .shopping-cart-items {
  padding: 20px 0 0 0;
  margin: 0;
  list-style: none;
}

.shopping-cart .shopping-cart-items li {
  margin-bottom: 18px;
  list-style: none;
}

.shopping-cart .shopping-cart-items img {
  float: right;
  margin-left: 12px;
  max-width: 48px;
}

.shopping-cart .shopping-cart-items .item-name {
  display: block;
  padding-top: 5px;
  font-size: 14px;
}

.shopping-cart .shopping-cart-items .item-price {
  color: #6394f8;
  margin-left: 8px;
}

.shopping-cart .shopping-cart-items .item-quantity {
  color: #abb0be;
}

.shopping-cart .shopping-cart-items .delete-product-hover-cart {
  float: left;
  font-size: 12px;
  color: #ae0f0f;
  cursor: pointer;
}

.shopping-cart:after,
.shopping-cart:before {
  top: -41px;
  left: 0;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

.shopping-cart:after {
  border-color: rgba(255, 255, 255, 0);
  border-bottom-color: #f0f0f0;
  border-width: 10px;
  margin-right: -10px;
  top: -39px;
}

.shopping-cart:before {
  border-color: rgba(221, 221, 221, 0);
  border-bottom-color: #ddd;
  border-width: 11px;
  margin-right: -11px;
}

.shopping-cart-icon {
  -webkit-mask: url(icon/Basket.svg) no-repeat 100% 100%;
  mask: url(icon/Basket.svg) no-repeat 100% 100%;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: #fff;
  display: inline-block;
  width: 24px;
  height: 24px;
}

.shopping-cart-icon.cart-icon {
  background-color: #515783;
}

.cart-icon {
  color: #515783;
  font-size: 24px;
  margin-left: 7px;
  float: right;
}

.shopping-cart-recyclebin {
  -webkit-mask: url(icon/RecycleBin.svg) no-repeat 100% 100%;
  mask: url(icon/RecycleBin.svg) no-repeat 100% 100%;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: #f00;
  display: inline-block;
  width: 18px;
  height: 18px;
}

.brg-caremtnu-holder {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px 2px;
  color: #ffffff;
  cursor: pointer;
}

.holder-svg-cartmenu {
  display: flex;
  margin: 0 5px;
  align-items: center;
  justify-content: center;
}

.brg-caremtnu-holder In__desktop {
  position: relative;
}

.badge-custom {
  width: 20px;
  height: 20px;
  position: absolute;
  top: 0px;
  right: -5px;
  background-color: var(--accent-color3);
  color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 900;
  line-height: 20px;
  font-size: 12px;
}
.cartmenu {
  margin-left: 0 !important;
}

.lighter-text,
.main-color-text {
  color: #000;
}
.over-holder-btn {
  overflow: hidden;
  position: relative;
}

.custom-pay-btn {
  background-color: var(--accent-color2);
  padding: 5px;
  display: block;
  border-radius: 10px;
  margin: 10px 0;
  text-align: center;
  color: white !important;
  font-weight: bolder;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.holder_star_buy-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 10px;
}

.custom-pay-btn:hover svg > path:nth-of-type(1) {
  animation: starone linear 0.3s alternate 1;
}

.custom-pay-btn:hover svg > path:nth-of-type(2) {
  animation: startwo linear 0.3s alternate 1;
}

.custom-pay-btn:hover svg > path:nth-of-type(3) {
  animation: starthree linear 0.3s alternate 1;
}

@keyframes starone {
  30%,
  80% {
    transform: scale(0.6) translate(10px, 8px);
  }
}

@keyframes startwo {
  30%,
  80% {
    transform: scale(1.5) translate(-1px, -4px);
  }
}

@keyframes starthree {
  30%,
  80% {
    transform: scale(2.3) translate(-3px, -2px);
  }
}

.custom-pay-btn:hover::before {
  -webkit-animation: sh02 0.5s 0s linear;
  -moz-animation: sh02 0.5s 0s linear;
  animation: sh02 0.5s 0s linear;
}

.custom-pay-btn::before {
  content: "";
  display: block;
  width: 0px;
  height: 86%;
  position: absolute;
  top: 7%;
  left: 0%;
  opacity: 0;
  background: #fff;
  box-shadow: 0 0 50px 30px #fff;
  -webkit-transform: skewX(-20deg);
  -moz-transform: skewX(-20deg);
  -ms-transform: skewX(-20deg);
  -o-transform: skewX(-20deg);
  transform: skewX(-20deg);
}

@keyframes sh02 {
  from {
    opacity: 0;
    left: 0%;
  }

  50% {
    opacity: 1;
  }

  to {
    opacity: 0;
    left: 100%;
  }
}
